#include <netdb.h>
#include <string.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

void revname(int lookup, struct in_addr *saddr, char *target)
{
    struct hostent *he;

    if (lookup) {
	he = gethostbyaddr((char *) saddr,
			   sizeof(struct in_addr), AF_INET);

	if (he == NULL)
	    strcpy(target, inet_ntoa(*saddr));
	else
	    strncpy(target, he->h_name, 15);
    } else
	strcpy(target, inet_ntoa(*saddr));
}
